Name:           nqc
Version:        3.1.6
Release:        2%{?dist}
Summary:        Not Quite C compiler

Group:          Development/Languages
License:        MPLv1.0
URL:            http://bricxcc.sourceforge.net/nqc/
Source0:        http://bricxcc.sourceforge.net/nqc/release/nqc-3.1.r6.tgz
Source1:        60-legousbtower.rules
Source2:        http://bricxcc.sourceforge.net/nqc/doc/faq.html
Source3:        http://bricxcc.sourceforge.net/nqc/doc/NQC_Manual.pdf
Source4:        http://bricxcc.sourceforge.net/nqc/doc/NQC_Guide.pdf
Source5:        http://bricxcc.sourceforge.net/nqc/doc/NQC_Tutorial.pdf
Source6:        http://bricxcc.sourceforge.net/nqc/doc/NQCTutorialSamples.zip
Patch0:         nqc-3.1.6-linux.patch
BuildRequires:  flex >= 2.5 bison >= 2.0
Requires(pre):  %{_sbindir}/groupadd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick (from the Mindstorms set).


%prep
%setup -c -q -n nqc-3.1.r6
%patch0 -p1

for i in %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5}; do
  cp $i .
done

%{__mkdir} tutorial_files
%{__unzip} -qq -a %{SOURCE6} -d tutorial_files


# This piece of software seems to come from the Dark Side. Fix permissions and
# line endings.
find -type f -exec chmod 644 {} \; -exec perl -pi -e 's/\r\n/\n/g' {} \;


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}/man1
%{__rm} %{buildroot}%{_bindir}/mkdata
%{__install} -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/60-legousbtower.rules


%clean
%{__rm} -rf %{buildroot}

%pre
if [ $1 -eq 1 ]; then
  %{_sbindir}/groupadd -f -r lego &>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/nqc
%{_mandir}/man1/nqc.1.gz
%{_sysconfdir}/udev/rules.d/60-legousbtower.rules
%doc readme.txt scout.txt history.txt LICENSE test.nqc
%doc faq.html NQC_Manual.pdf NQC_Guide.pdf NQC_Tutorial.pdf tutorial_files/


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.1.6-2
- Autorebuild for GCC 4.3

* Wed Sep 20 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.6-1
- Updated license to reflect specific MPL version
- New upstream release
- Added NQC tutorial and samples to docs
- Added -c option to setup to create top-level directory

* Sat Feb 03 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-6
- Added RPM_OPTS to Makefile in patch

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-5
- Readded BuildRequires for bison

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-4
- Bump release for mass rebuild

* Sun Aug 20 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-3
- Added BuildRequires for bison

* Sun Aug 20 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-2
- Removed groupdel lego
- Added faq, manual and guide docs
- Added flex BuildRequires and groupadd Requires(pre)
- Added -f option to groupadd (success if group exists)

* Sat Aug 19 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 3.1.4-1
- Removed alpha from version
- Changed make, rm and RPMBUILDROOT to macro forms
- Removed x86_64 exclude arch
- Added x86_64 + usb build patch
- Added lego group
- Added udev legousbtower rules

* Fri Mar 17 2006 Simon Perreault <nomis80@nomis80.org> - 3.1.r4-2
- Exclude x86_64: doesn't build and fix isn't trivial.

* Sat Mar 11 2006 Simon Perreault <nomis80@nomis80.org> - 3.1.r4-1
- Initial release.
